QCPPolarGrid Class Reference
Author: Emanuel Eichhammer

· · · ·
Public Types | Public Functions | Protected Functions
QCPPolarGrid Class Reference

The grid in both angular and radial dimensions for polar plots. More...

Inheritance diagram for QCPPolarGrid:

## Public Types
enum | GridType

## Public Functions
| QCPPolarGrid (QCPPolarAxisAngular *parentAxis)
QCPPolarAxisRadial * | radialAxis () const
GridTypes | type () const
GridTypes | subGridType () const
bool | antialiasedSubGrid () const
bool | antialiasedZeroLine () const
QPen | angularPen () const
QPen | angularSubGridPen () const
QPen | radialPen () const
QPen | radialSubGridPen () const
QPen | radialZeroLinePen () const
void | setRadialAxis (QCPPolarAxisRadial *axis)
void | setType (GridTypes type)
void | setSubGridType (GridTypes type)
void | setAntialiasedSubGrid (bool enabled)
void | setAntialiasedZeroLine (bool enabled)
void | setAngularPen (const QPen &pen)
void | setAngularSubGridPen (const QPen &pen)
void | setRadialPen (const QPen &pen)
void | setRadialSubGridPen (const QPen &pen)
void | setRadialZeroLinePen (const QPen &pen)
Public Functions inherited from QCPLayerable
| QCPLayerable (QCustomPlot *plot, QString targetLayer=QString(), QCPLayerable *parentLayerable=nullptr)
bool | visible () const
QCustomPlot * | parentPlot () const
QCPLayerable * | parentLayerable () const
QCPLayer * | layer () const
bool | antialiased () const
void | setVisible (bool on)
Q_SLOT bool | setLayer (QCPLayer *layer)
bool | setLayer (const QString &layerName)
void | setAntialiased (bool enabled)
virtual double | selectTest (const QPointF &pos, bool onlySelectable, QVariant *details=nullptr) const
bool | realVisibility () const

## Protected Functions
virtual void | applyDefaultAntialiasingHint (QCPPainter *painter) const
virtual void | draw (QCPPainter *painter)
void | drawRadialGrid (QCPPainter *painter, const QPointF &center, const QVector< double > &coords, const QPen &pen, const QPen &zeroPen=Qt::NoPen)
void | drawAngularGrid (QCPPainter *painter, const QPointF &center, double radius, const QVector< QPointF > &ticksCosSin, const QPen &pen)
Protected Functions inherited from QCPLayerable
virtual void | parentPlotInitialized (QCustomPlot *parentPlot)
virtual QCP::Interaction | selectionCategory () const
virtual QRect | clipRect () const
virtual void | selectEvent (QMouseEvent *event, bool additive, const QVariant &details, bool *selectionStateChanged)
virtual void | deselectEvent (bool *selectionStateChanged)
virtual void | mousePressEvent (QMouseEvent *event, const QVariant &details)
virtual void | mouseMoveEvent (QMouseEvent *event, const QPointF &startPos)
virtual void | mouseReleaseEvent (QMouseEvent *event, const QPointF &startPos)
virtual void | mouseDoubleClickEvent (QMouseEvent *event, const QVariant &details)
virtual void | wheelEvent (QWheelEvent *event)
void | initializeParentPlot (QCustomPlot *parentPlot)
void | setParentLayerable (QCPLayerable *parentLayerable)
bool | moveToLayer (QCPLayer *layer, bool prepend)
void | applyAntialiasingHint (QCPPainter *painter, bool localAntialiased, QCP::AntialiasedElement overrideElement) const

## Additional Inherited Members
Signals inherited from QCPLayerable
void | layerChanged (QCPLayer *newLayer)

## Detailed Description

The grid in both angular and radial dimensions for polar plots.

Warning
  In this QCustomPlot version, polar plots are a tech preview. Expect documentation and functionality to be incomplete, as well as changing public interfaces in the future.

## Member Enumeration Documentation

## ◆ GridType

enum QCPPolarGrid::GridType

TODO

## Constructor & Destructor Documentation

## ◆ QCPPolarGrid()

QCPPolarGrid::QCPPolarGrid | ( | QCPPolarAxisAngular * | parentAxis | ) |
| explicit

Creates a QCPPolarGrid instance and sets default values.

You shouldn't instantiate grids on their own, since every axis brings its own grid.

## Member Function Documentation

## ◆ setAntialiasedSubGrid()

void QCPPolarGrid::setAntialiasedSubGrid | ( | bool | enabled | ) |

Sets whether sub grid lines are drawn antialiased.

## ◆ setAntialiasedZeroLine()

void QCPPolarGrid::setAntialiasedZeroLine | ( | bool | enabled | ) |

Sets whether zero lines are drawn antialiased.

## ◆ setAngularPen()

void QCPPolarGrid::setAngularPen | ( | const QPen & | pen | ) |

Sets the pen with which (major) grid lines are drawn.

## ◆ setAngularSubGridPen()

void QCPPolarGrid::setAngularSubGridPen | ( | const QPen & | pen | ) |

Sets the pen with which sub grid lines are drawn.

## ◆ applyDefaultAntialiasingHint()

void QCPPolarGrid::applyDefaultAntialiasingHint | ( | QCPPainter * | painter | ) | const
| protectedvirtual

A convenience function to easily set the QPainter::Antialiased hint on the provided painter before drawing the major grid lines.

This is the antialiasing state the painter passed to the draw method is in by default.

This function takes into account the local setting of the antialiasing flag as well as the overrides set with QCustomPlot::setAntialiasedElements and QCustomPlot::setNotAntialiasedElements.

See also
  setAntialiased

Implements QCPLayerable.

## ◆ draw()

void QCPPolarGrid::draw | ( | QCPPainter * | painter | ) |
| protectedvirtual

Draws grid lines and sub grid lines at the positions of (sub) ticks of the parent axis, spanning over the complete axis rect. Also draws the zero line, if appropriate (setZeroLinePen).

Implements QCPLayerable.

The documentation for this class was generated from the following files:

- src/polar/polargrid.h
- src/polar/polargrid.cpp